use std::fs::read_to_string;
mod config;
mod emoji;
use mlem::*;
fn main() {
    let config = config::read_config();

    let raw_files = read_src_files(&config.src_dir);
    for file in raw_files {
        let mut markdown = read_to_string(file.path).expect("File does not exist");
        markdown = emoji::emoji_pass(
            &markdown,
            &config.emoji_web_directory,
            &config.emoji_local_directory,
        );
        let html = generate_blog_entry(markdown, &config.templates_dir);
        write_to_fs(
            html,
            &config.output_dir,
            &file.file_name.into_string().unwrap(),
        );
    }
}
